Subject: [bug#41368] [PATCH] Moved gettext to use git to better conform to better bootstrapping, better integration with Software Heritage, and what looks like emerging best practices for package sources.

From: zimoun <[email-masked]>
Date: Wed, 28 Oct 2020 19:26:24 +0100

Hi,

On Sun, 17 May 2020 at 16:30, Josh Marshall <[email-masked]> wrote:

>  I'm surprised that this does not require adding Autoconf etc as
>  native-inputs, do you know why that is?
>
> I think I let my environment leak, I'll check into in.

Did you check?

>>  Also, won't this cause a circular dependency on 'git-minimal'?  If it
>>  works for you I guess we got lucky in this case.
>
> I'm not sure.  I'll test more in a little bit.

How the tests are going?

> When I looked into it, there appears to have been no progress in a year and a half.

No progress in a year and half, maybe it is an exaggeration.  For
example the ’sources.json’ format which allows SWH to ingest all the
tarballs had been cooked over this year and implemented less than 6
months ago:

        87884f2de25559fca11892187953261cee8224ef
        AuthorDate: Mon Feb 10 17:52:13 2020 +0100
        CommitDate: Mon Mar 9 10:50:30 2020 +0100
        [..]
        35bb77108fc7f2339da0b5be139043a5f3f21493
        AuthorDate: Mon Jun 29 18:50:57 2020 +0200
        CommitDate: Mon Jul 6 12:19:32 2020 +0200

Even, the ingestion by SWH at the production level (not the
testing/staging level) dates from Sept. 15th.

  <http://logs.guix.gnu.org/guix/2020-09-15.log#172530>

Be patient. :-)
The work is in progress… but for sure, it is not a priority of the SWH
side.  Well, I am aligned with the Marius and Leo’s words. :-)

All the best,
simon